
# filter: keep current wavetrough if:
#   troughs are not within a certain spatial window
#   length of the trough < threshold
#   TODO atleast one point in more specific window (AEW corridor)
def keep_wavetrough(properties, config):

    for line_pt in properties.line_pts:
        # check if any point is outside filtering area

        if (line_pt.lon < config.wave_filter_lon[0] or line_pt.lon > config.wave_filter_lon[1]
                or line_pt.lat < config.wave_filter_lat[0] or line_pt.lat > config.wave_filter_lat[1]):
            return False

    if properties.length_deg <= config.degree_len_thr:
        return False

    return True
